Loading...
Searching...
No Matches
Gfx::FramebufferParams Struct Reference

Contains parameters for new framebuffer. More...

`#include <src/graphics/core/framebuffer.h>`

## Public Types

enum class | AttachmentType { Texture , Renderbuffer , None }

## Public Member Functions

void | LoadDefault ()
| Loads default values.

## Public Attributes

int | width = 1024
| Requested width of buffers.
int | height = 1024
| Requested height of buffers.
int | depth = 16
| Requested depth buffer.
int | samples = 1
| Requested number of samples for multisampling.
AttachmentType | colorAttachment = AttachmentType::Renderbuffer
AttachmentType | depthAttachment = AttachmentType::Renderbuffer

## Detailed Description

Contains parameters for new framebuffer.

## Member Function Documentation

## LoadDefault()

void Gfx::FramebufferParams::LoadDefault | ( |  | ) |

inline

Loads default values.

## Member Data Documentation

## width

int Gfx::FramebufferParams::width = 1024

Requested width of buffers.

## height

int Gfx::FramebufferParams::height = 1024

Requested height of buffers.

## depth

int Gfx::FramebufferParams::depth = 16

Requested depth buffer.

## samples

int Gfx::FramebufferParams::samples = 1

Requested number of samples for multisampling.

The documentation for this struct was generated from the following file:

- src/graphics/core/framebuffer.h